<?php

namespace Drupal\custom_term_cleanup\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Form\FormBuilderInterface;
use Drupal\custom_term_cleanup\Form\TermCleanupForm;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Controller for listing vocabularies and handling term cleanup.
 */
class TermCleanupController extends ControllerBase {

  /**
   * The builder of form.
   *
   * @var \Drupal\Core\Form\FormBuilder
   */
  protected $formBuilder;

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('form_builder')
    );
  }

  /**
   * {@inheritdoc}
   */
  public function __construct(FormBuilderInterface $form_builder) {
    $this->formBuilder = $form_builder;
  }

  /**
   * Lists all vocabularies and terms used less than 10 times.
   */
  public function listAndConfirmTerms() {
    $form = $this->formBuilder->getForm(TermCleanupForm::class);
    return $form;
  }

}
